Subject: Re: bug#18739: 24.3; Request for a hook to be provided when scrolling will move the cursor

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Oct 2014 17:25:16 +0300

> Date: Thu, 16 Oct 2014 07:53:22 -0600
> From: Josh <[email-masked]>
> Cc: [email-masked]
> 
> >>> The usual technique in Emacs is to put the mark where you were before
> >>> scrolling.  Then "C-x C-x" will get you back.
> 
> >> This requires the forethought to set the mark before scrolling.
> 
> > No, you can do it always.
> 
> I don't understand. If I don't set the mark, how will "C-x C-x" know
> where to jump back to?

I meant set the mark as part of the command that is run by the wheel
scroll, or manually just before you scroll.